org.cpsolver.studentsct.model

## Class StudentGroup

- java.lang.Object
- - org.cpsolver.studentsct.model.StudentGroup

-     public class StudentGroup
      extends Object

  Student group type, reference and name. This class is used for `Student.getGroups()`.
  Version:
    StudentSct 1.3 (Student Sectioning)
    Copyright (C) 2007 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StudentGroup(String type, String reference, String name)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getName()` Group name
    `String` | `getReference()` Group reference
    `String` | `getType()` Group type
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StudentGroup

          public StudentGroup(String type,
                              String reference,
                              String name)

      Constructor
      Parameters:
        `type` - group type (can be empty)
        `reference` - group reference
        `name` - group name

  - ### Method Detail

    - #### getType

          public String getType()

      Group type
      Returns:
        group type reference

    - #### getReference

          public String getReference()

      Group reference
      Returns:
        group reference

    - #### getName

          public String getName()

      Group name
      Returns:
        group name

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`